\chapter{Literature Survey}
The resume classification is a broad research encompassing the studies and
techniques related to automated methods for analyzing resumes to extract relevant
information, categorize candidate skills, and match application to job description. \\
Some of the key methods are as follows:


\textbf{
    NER-BERT, A Pre-Trained Model for Low-Resource Entity Tagging: 
    }\cite{zihanliu2021}The paper introduces NER-BERT, a pre-trained model that outperforms existing models in low-resource NER scenarios across diverse domains, based on a high-quality NER corpus.

\textbf{
    Application of llm agents in recruitment: A novel framework for resume screening: 
    }\cite{gan2024application}The paper introduces a novel LLM-based agent framework for resume screening, showcasing its efficiency in summarizing and grading resumes, improving F1 score, and transforming decision-making processes in recruitment.

\textbf{
Data-driven hr resume analysis based on natural language processing and machine learning: 
    }\cite{zimmermann2016datadriven}The paper introduces a data-driven approach using Machine Learning and Natural Language Processing to automatically process resumes, enabling recruiters to focus on promising candidates and improve the hiring process with unbiased decision support.

\textbf{
Resume classification using various machine learning algorithms: 
    }\cite{pal2022resume}The paper discusses the need for automating the hiring process through resume classification using Machine Learning Algorithms to enhance efficiency and decrease manual labor in the recruitment process, emphasizing the challenges faced by big mass recruitment companies in maintaining physical copies of resumes and profiles. It also highlights the importance of Machine Learning in simplifying classification tasks and justifies the need for resume classification to overcome inefficiencies in storing and sharing physical copies.

\textbf{
A machine learning approach for automation of resume recommendation system: 
    }\cite{roy2020machine}The paper presents a Machine Learning approach for automating a Resume Recommendation System to simplify candidate screening and selection processes, improve data accuracy, and enhance decision-making by extracting new patterns from employee resumes.

\textbf{
Combination of neural networks and conditional random fields for efficient resume parsing:
    }\cite{ayishathahira2018combination}The paper proposes a system for efficient resume parsing using deep learning models like CNN, Bi-LSTM, and CRF, capable of classifying resumes into segments and extracting 23 fields.

\textbf{
End-to-end resume parsing and finding candidates for a job description using bert:
    }\cite{bhatia2019end}The paper presents an end-to-end solution for ranking candidates based on their suitability to a job description, utilizing a resume parser and BERT sentence pair classification, with a focus on parsing LinkedIn and non-LinkedIn format resumes.

\textbf{
Matching resumes to jobs via deep siamese network:
    }\cite{maheshwary2018matching}The paper proposes a siamese adaptation of CNN to match resumes to job descriptions, outperforming existing methods and effectively capturing underlying semantics.

\textbf{
Matching resumes and jobs based on relevance models: 
    }\cite{yi2007matching}The paper investigates matching semi-structured resumes and jobs using Structured Relevance Models (SRM), which showed promising performance compared to standard approaches and outperformed typical unstructured relevance models.

\textbf{
Converting and deploying an unstructured data using pattern matching: 
    }\cite{anujna2017converting}The paper focuses on using pattern matching techniques for regular expressions to extract relevant data from text/word files, aiding users in searching for documents and converting unstructured data into structured form.

\textbf{
An ontology-based information extraction approach for resumes:
    }\cite{ccelik2013ontology}The paper discusses ontology-based meta knowledge extraction in the Semantic Web for ubiquitous computing, emphasizing the importance of annotations and presenting an approach for knowledge extraction in academic scenarios to enhance efficient and accurate Web access on multiple platforms.

\textbf{
Automatic extraction of segments from resumes using machine learning:
    }\cite{gunaseelan2020automatic}The paper proposes a system using multi-level classification techniques to automatically extract detailed segment information like skillset, experience, and education from resumes, achieving state-of-the-art accuracy in identifying skill sets.

\textbf{
Resume information extraction with cascaded hybrid model: 
    }\cite{yu2005resume}The paper presents a cascaded hybrid model for resume information extraction that improves F-scores in detailed information extraction tasks and supports automatic resume management and routing.

\textbf{
Methodology for resume parsing and job domain prediction: 
    }\cite{mittal2020methodology}The paper proposes a methodology for resume parsing and job domain prediction using named entity recognition and skill-based genre assignment, achieving an overall resume prediction accuracy of 91.47\%.

\textbf{
Machine learned job recommendation:
    }\cite{paparrizos2011machine}The paper addresses the problem of recommending suitable jobs to job seekers using a supervised machine learning approach that leverages past job transitions and data from employees and institutions to predict the next job transition.

\textbf{
Real-time resume classification system using linkedin profile descriptions:
    }\cite{ramraj2020real}The paper presents an automatic text classification system for job and resume classification using various techniques and models, with a focus on the character-level CNN model's superior performance.

\textbf{
A survey on recent   advances in named entity recognition:
    }\cite{keraghel2024survey}In this paper the authors present an overview of recent popular approaches, but we also look at graph- and transformer- based methods including Large Language Models (LLMs) that have not had much coverage in other surveys.

\textbf{
Analyzing Embedding Models for Embedding Vectors in Vector Databases:
    }\cite{singh2023analyzing}Vector databases have emerged as the computation engine that enables us to successfully interact with vector embeddings in our applications as a result of the exponential rise of vector embeddings in disciplines like NLP (Natural Language Processing), computer vision, and other AI applications. This paper explores the usage of usign vector databases as the medium for exploring unstructured data.

\textbf{
Llama 2: Open foundation and fine-tuned chat models:
    }\cite{touvron2023llama}This is the base paper ehich released the lanrge language model LLAMA2 to the public.
